com.amazonaws.codegen

## Class IntermediateModelBuilder

- java.lang.Object
- - com.amazonaws.codegen.IntermediateModelBuilder

    public class IntermediateModelBuilder
    extends Object

Builds an intermediate model to be used by the templates from the service model and customizations.

### Constructor Summary

Constructors
Constructor and Description
`IntermediateModelBuilder(C2jModels models, String codeGenBinDirectory)`

### Method Summary

All Methods Instance Methods Concrete Methods
`IntermediateModel` `build()`
`BasicCodeGenConfig` `getCodeGenConfig()`
`CustomizationConfig` `getCustomConfig()`
`ServiceExamples` `getExamples()`
`NamingStrategy` `getNamingStrategy()`
`ServiceModel` `getService()`
`com.amazonaws.codegen.internal.TypeUtils` `getTypeUtils()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IntermediateModelBuilder

    public IntermediateModelBuilder(C2jModels models,
                                    String codeGenBinDirectory)

### Method Detail

#### build

    public IntermediateModel build()
                            throws IOException

Throws:
  `IOException`

#### getCustomConfig

    public CustomizationConfig getCustomConfig()

#### getCodeGenConfig

    public BasicCodeGenConfig getCodeGenConfig()

#### getService

    public ServiceModel getService()

#### getExamples

    public ServiceExamples getExamples()

#### getNamingStrategy

    public NamingStrategy getNamingStrategy()

#### getTypeUtils

    public com.amazonaws.codegen.internal.TypeUtils getTypeUtils()